# opzet/lijk/suicide.py
#
#

""" the thing to resolve. """

## IMPORTS

from opzet.lijk.campagne import until, tags, names_out, seconds, starttime
from opzet.lijk.gemeenten import gemeenten_txt
from opzet.utils.time import elapsed_days
from opzet.clock import Repeater
from opzet.kernel import kernel

import random
import time

## OORDELEN

def suicide(*args, **kwargs):
    name = "suicide"
    delta = time.time() - starttime
    next = until(delta)
    nr = int(delta / seconds.get(name))
    txt = "%s %d (%s) %s - %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name), random.choice(gemeenten_txt.split("\n"))) 
    if args: args[0].reply(txt)
    else: kernel.announce(txt.strip())

kernel.register("suicide", suicide)

## INIT

def init(*args, **kwargs):
    todo = Repeater(suicide, seconds.get("suicide"))
    kernel.put(todo.start)
