# wet/dutch/bijwerking.py
#
#

""" bijwerkingen. """

## IMPORTS

from opzet.clock import Repeater
from opzet.kernel import kernel

import random

## CMNDS

def symptoom(*args, **kwargs): kernel.announce(random.choice(positieve_symptomen_txt.split("\n") + negatieve_symptomen_txt.split("\n")))

kernel.register("symptoom", symptoom)

def negatief(event): event.reply(negatieve_symptomen_txt)

kernel.register("negatief", negatief)

def positief(event): event.reply(positieve_symptomen_txt)

kernel.register("positief", positief)

## TXT

positieve_symptomen_txt = """
wanen
hallucinaties
verward denken
opgewondenheid
"""

negatieve_symptomen_txt = """
weinig emotie
minder sociale contacten
gebrek aan initief
gebrek aan aandacht en concentratie
weinig gemotiveerd
weinig energie
depressieve symptomen (angst)
manische symptomen (druk, vol energie, weinig slaap nodig)
"""

## init    

def init(*args, **kwargs):
    todo = Repeater(negatief, 60)
    kernel.put(todo.start)   
