# opzet/lijk/oordeel.py
#
#

""" the thing to resolve. """

## IMPORTS

from opzet.lijk.campagne import until, url, tags, names_out, seconds, starttime
from opzet.lijk.gemeenten import gemeenten_txt
from opzet.utils.time import elapsed_days
from opzet.clock import Repeater
from opzet.kernel import kernel

import random
import time

## OORDELEN

def oordeel(*args, **kwargs):
    if kwargs: name = kwargs.get("name", None) ; loop = [name, ]
    else: loop = names_out
    delta = time.time() - starttime
    next = until(delta)
    for name in loop:
        nr = int(delta / seconds.get(name))
        txt = "%s %d (%s) %s - %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name), random.choice(gemeenten_txt.split("\n"))) 
        if args: args[0].reply(txt.strip())
        else: kernel.announce(txt.strip())

kernel.register("oordeel", oordeel)

## INIT

def init(*args, **kwargs):
    for name in names_out:
        todo = Repeater(oordeel, seconds.get(name), name=name)
        kernel.put(todo.start)
