# opzet/lijk/poging.py
#
#

""" the thing to resolve. """

## IMPORTS

from opzet.lijk.campagne import tags, seconds, starttime, until
from opzet.lijk.gemeenten import gemeenten_txt
from opzet.utils.time import elapsed_days
from opzet.clock import Repeater
from opzet.kernel import kernel

import random
import time

## CMNDS

def poging(*args, **kwargs):
    delta = time.time() - starttime
    next = until(delta)
    name = "poging"
    nr = int(delta / seconds.get(name))
    txt = "%s %d (%s) %s - %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name), random.choice(gemeenten_txt.split("\n")))
    if args: args[0].reply(txt.strip())
    else: kernel.announce(txt.strip())

kernel.register("poging", poging)

## INIT

def init(*args, **kwargs):
    todo = Repeater(poging, seconds.get("poging"))
    kernel.put(todo.start)
