# opzet/system.py
#
#

""" system servicess. """

## IMPORTS

from opzet.clock import Repeater
from opzet.kernel import kernel, plugs

## CMNDS

def syncer(*args, **kwargs):
    for name, plug in plugs.items():
        syncer = getattr(plug, "sync", None)
        if syncer: syncer()
    if args: kernel.announce("synced")

kernel.register("sync", syncer) 

def init(*args, **kwargs):
    todo = Repeater(syncer, 60)
    kernel.put(todo.start)
